# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tree
%define	pnam	Nary
Summary:	Tree::Nary - Perl implementation of N-ary search trees
Summary(pl):	Tree::Nary - perlowa implementacja N-arnych drzew wyszukiwa
Name:		perl-%{pdir}-%{pnam}
Version:	1.21
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Tree::Nary class implements N-ary trees (trees of data with any
number of branches), providing the organizational structure for a tree
(collection) of any number of nodes, but knowing nothing about the
specific type of node used.  It can be used to display hierarchical
database entries in an internal application (the NIS netgroup file is an
example of such a database). It offers the capability to select nodes on
the tree, and attachment points for nodes on the tree. Each attachment
point can support multiple child nodes.

%description -l pl
Klasa Tree::Nary jest implementacj drzew N-arnych (drzew danych z
dowoln liczb odgazie), udostpniajc struktur organizacyjn dla
drzewa (zestawu) o dowolnej liczbie wzw, bez wiedzy o konkretnym
typie wzw. Klasa ta moe by uywana do wywietlania rekordw
hierarchicznej bazy danych w wewntrznej aplikacji (plik grup
sieciowych NIS jest przykadem takiej bazy danych). Oferuje take
moliwo wyboru wzw w drzewie i punktw doczania dla wzw.
Kady punkt doczania moe suy wielu wzom potomnym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tree-Nary.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:59:18  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:05  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/05 16:32:33  radek
- new, STBR
